Qore PgsqlSqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Public Attributes | Private Member Functions | List of all members
PgsqlSqlUtil::PgsqlColumn Class Reference

represents a PostgreSQL-specific column More...

Inheritance diagram for PgsqlSqlUtil::PgsqlColumn:
[legend]

## Public Member Functions
list | getCreateSql (AbstractTable t)
| returns a list of sql strings that can be used to add the column to an existing table More...
list | getModifySqlImpl (AbstractTable t, AbstractColumn col, *hash opt)
| returns a list of sql strings that can be used to modify the column to the new definition; if the column definitions are identical then an empty list is returned More...
string | getRenameSql (AbstractTable t, string new_name)
| returns a string that can be used to rename the column More...

## Public Attributes
int | byte_size
| byte size of the column

## Private Member Functions
bool | equalImpl (AbstractColumn c)
| returns True if the argument is equal to the current object, False if not

## Detailed Description

represents a PostgreSQL-specific column

## Member Function Documentation

list PgsqlSqlUtil::PgsqlColumn::getCreateSql | ( | AbstractTable | t | ) |

returns a list of sql strings that can be used to add the column to an existing table

Example:
  my list $l = $col.getCreateSql($t);

Parameters

  t | the SqlUtil::AbstractTable object to modify

list PgsqlSqlUtil::PgsqlColumn::getModifySqlImpl | ( | AbstractTable | t,
|  | AbstractColumn | col,
|  | *hash | opt
| ) |  |

returns a list of sql strings that can be used to modify the column to the new definition; if the column definitions are identical then an empty list is returned

Example:
  my list $l = $col.getModifySql($t, $newcol);

The column names are assumed to be equal.

Parameters

  t | the SqlUtil::AbstractTable object to modify
  col | the new column definition

Returns
  a list of sql strings that can be used to modify the column to the new definition; if the column definitions are identical then an empty list is returned

string PgsqlSqlUtil::PgsqlColumn::getRenameSql | ( | AbstractTable | t,
|  | string | new_name
| ) |  |

returns a string that can be used to rename the column

Example:
  my string $str = $col.getRenameSql($t, "new_name");

Parameters

  t | the SqlUtil::AbstractTable object to modify
  new_name | the new name for the column

Returns
  a string that can be used to rename the column